Loading...
Searching...
No Matches
SColor.h File Reference
`#include "irrTypes.h"`
`#include "irrMath.h"`

Go to the source code of this file.

## Classes

class | irr::video::SColor
| Class representing a 32 bit ARGB color. More...
class | irr::video::SColorf
| Class representing a color with four floats. More...
class | irr::video::SColorHSL
| Class representing a color in HSL format. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video
| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::video::ECOLOR_FORMAT { irr::video::ECF_A1R5G5B5 = 0 , irr::video::ECF_R5G6B5 , irr::video::ECF_R8G8B8 , irr::video::ECF_A8R8G8B8 , irr::video::ECF_R16F , irr::video::ECF_G16R16F , irr::video::ECF_A16B16G16R16F , irr::video::ECF_R32F , irr::video::ECF_G32R32F , irr::video::ECF_A32B32G32R32F , irr::video::ECF_UNKNOWN }
| An enum for the color format of textures used by the Irrlicht Engine. More...

## Functions

u32 | irr::video::A1R5G5B5toA8R8G8B8 (u16 color)
| Convert A8R8G8B8 Color from A1R5G5B5 color.
u16 | irr::video::A1R5G5B5toR5G6B5 (u16 color)
| Returns R5G6B5 Color from A1R5G5B5 color.
u16 | irr::video::A8R8G8B8toA1R5G5B5 (u32 color)
| Converts a 32bit (A8R8G8B8) color to a 16bit A1R5G5B5 color.
u16 | irr::video::A8R8G8B8toR5G6B5 (u32 color)
| Converts a 32bit (A8R8G8B8) color to a 16bit R5G6B5 color.
u32 | irr::video::getAlpha (u16 color)
| Returns the alpha component from A1R5G5B5 color.
s32 | irr::video::getAverage (s16 color)
| Returns the average from a 16 bit A1R5G5B5 color.
u32 | irr::video::getBlue (u16 color)
| Returns the blue component from A1R5G5B5 color.
u32 | irr::video::getGreen (u16 color)
| Returns the green component from A1R5G5B5 color.
u32 | irr::video::getRed (u16 color)
| Returns the red component from A1R5G5B5 color.
u16 | irr::video::R5G6B5toA1R5G5B5 (u16 color)
| Returns A1R5G5B5 Color from R5G6B5 color.
u32 | irr::video::R5G6B5toA8R8G8B8 (u16 color)
| Returns A8R8G8B8 Color from R5G6B5 color.
u16 | irr::video::RGB16 (u32 r, u32 g, u32 b)
| Creates a 16 bit A1R5G5B5 color.
u16 | irr::video::RGB16from16 (u16 r, u16 g, u16 b)
| Creates a 16bit A1R5G5B5 color, based on 16bit input values.
u16 | irr::video::RGBA16 (u32 r, u32 g, u32 b, u32 a=0xFF)
| Creates a 16 bit A1R5G5B5 color.
u16 | irr::video::X8R8G8B8toA1R5G5B5 (u32 color)
| Converts a 32bit (X8R8G8B8) color to a 16bit A1R5G5B5 color.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0